# TaskExecutionGraphListener

interface TaskExecutionGraphListener

A `TaskExecutionGraphListener` is notified when the TaskExecutionGraph has been populated. You can use this interface in your build file to perform some action based on the contents of the graph, before any tasks are actually executed.

## Functions

graphPopulated
Link copied to clipboard
abstract fun graphPopulated(graph: TaskExecutionGraph)
This method is called when the TaskExecutionGraph has been populated, and before any tasks are executed.